Page MenuHomePhabricator

donation page format error
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdonatewiki back to wmf.19
operations/mediawiki-config : masterRolling back donatewiki to wmf.18

Event Timeline

MBeat33 created this task.Apr 5 2017, 7:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2017, 7:34 PM
MBeat33 triaged this task as Unbreak Now! priority.Apr 5 2017, 7:34 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptApr 5 2017, 7:34 PM

Mentioned in SAL (#wikimedia-fundraising) [2017-04-05T19:37:18Z] <awight> disabled NL campaigns per T162300

Change 346596 had a related patch set uploaded (by Chad):
[operations/mediawiki-config@master] Rolling back donatewiki to wmf.18

https://gerrit.wikimedia.org/r/346596

Change 346596 merged by jenkins-bot:
[operations/mediawiki-config@master] Rolling back donatewiki to wmf.18

https://gerrit.wikimedia.org/r/346596

Reedy added a subscriber: Bawolff.Apr 5 2017, 7:40 PM
MBeat33 closed this task as Resolved.Apr 5 2017, 11:16 PM
MBeat33 claimed this task.

After the rollback the form is working and we've seen no new instances. Thanks, all.

Legoktm reopened this task as Open.Apr 6 2017, 4:11 AM

This isn't fixed yet...there shouldn't be any reason to use <html> in system messages. The rollback is just a temporary fix.

Looks like the offending page was https://donate.wikimedia.org/wiki/MediaWiki:Resources/validation.js, which I've now moved into a template. It should be okay to restore the change, ideally with someone from Fundraising around to keep an eye on donatewiki.

demon added a subscriber: demon.Apr 7 2017, 4:33 PM

So we can move donatewiki back to wmf.19? Good. If someone from fundraising can ping me on IRC to babysit this, that'd be great (we need to get it done today if at all possible)

Change 347056 had a related patch set uploaded (by Chad):
[operations/mediawiki-config@master] donatewiki back to wmf.19

https://gerrit.wikimedia.org/r/347056

Ejegg added a subscriber: Ejegg.Apr 10 2017, 10:40 PM

Hey @demon, sorry for the delay. Someone on fr-tech should be available to help babysit tomorrow. Want to pop in to # wikimedia-fundraising when you're ready to deploy?

Hey @demon, sorry for the delay. Someone on fr-tech should be available to help babysit tomorrow. Want to pop in to # wikimedia-fundraising when you're ready to deploy?

If we absolutely must wait until then--it really should've happened Friday of last week. Can we not do this today? If not today, the absolute latest must be early tomorrow morning.

Change 347056 merged by jenkins-bot:
[operations/mediawiki-config@master] donatewiki back to wmf.19

https://gerrit.wikimedia.org/r/347056

Pcoombe closed this task as Resolved.Apr 12 2017, 5:06 PM

Resolved afaik, see T162716